NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAE.LaminateDrapingDataBuilder Class Reference

Represents a NXOpen.CAE.LaminateDrapingData builder More...

Inheritance diagram for NXOpen.CAE.LaminateDrapingDataBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  DrapingDirectionType { Vectors, Csys }
 Draping Direction Option More...
 
enum  DrapingPathType { Geodesic, SeedCurve }
 Draping Path Types More...
 
enum  ProjectionDrapingDirectionType { Mov, Csys }
 Projection Draping Direction Option More...
 
enum  SecondaryVectorType { Default, Specify }
 Second Alignment Types More...
 
enum  SolverType {
  None, Unidirectional, Woven, Imported,
  InheritedFromMaterial
}
 Solver Types More...
 

Public Member Functions

unsafe NXOpen.CAE.LaminatePly[] CommitPlies ()
 Commits the changes made to the NXOpen.CAE.LaminatePly objects. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.CAE.LaminateSelectEntitiesBuilder 
CutSelection [get]
 Returns the selected cut curves. More...
 
unsafe NXOpen.CoordinateSystem DirectionCsys [get, set]
 Returns or sets the draping direction coordinate system More...
 
unsafe
NXOpen.CAE.LaminateDrapingDataBuilder.DrapingDirectionType 
DirectionOption [get, set]
 Returns or sets the draping direction option More...
 
unsafe NXOpen.Expression DrapingAbsMeshSize [get]
 Returns the absolute draping mesh size More...
 
unsafe double DrapingMeshRatio [get, set]
 Returns or sets the draping mesh ratio More...
 
unsafe
NXOpen.CAE.LaminateDrapingDataBuilder.DrapingPathType 
DrapingPath [get, set]
 Returns or sets the draping path More...
 
unsafe
NXOpen.CAE.LaminateSelectEntitiesBuilder 
FaceSelection [get]
 Returns the selected faces. More...
 
unsafe NXOpen.Expression LockingAngle [get]
 Returns the locking angle More...
 
unsafe NXOpen.Direction PrimaryVector [get, set]
 Returns or sets the primary alignment More...
 
unsafe
NXOpen.CAE.LaminateDrapingDataBuilder.ProjectionDrapingDirectionType 
ProjectionDirectionOption [get, set]
 Returns or sets the projection draping direction option More...
 
unsafe NXOpen.Direction SecondaryVector [get, set]
 Returns or sets the specify More...
 
unsafe
NXOpen.CAE.LaminateDrapingDataBuilder.SecondaryVectorType 
SecondaryVectorChoice [get, set]
 Returns or sets the secondary alignment More...
 
unsafe
NXOpen.CAE.LaminateSelectEntitiesBuilder 
SeedSelection [get]
 Returns the selected seed curves. More...
 
unsafe
NXOpen.CAE.LaminateDrapingDataBuilder.SolverType 
Solver [get, set]
 Returns or sets the solver More...
 
unsafe NXOpen.Point StartPoint [get, set]
 Returns or sets the start point More...
 
unsafe bool UsingDrapingMeshSize [get, set]
 Returns or sets the method used More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.LaminateDrapingData builder

To create a new instance of this class, use NXOpen.CAE.LaminatePly.CreateDrapingDataBuilder

Created in NX6.0.0

Member Enumeration Documentation

Draping Direction Option

Enumerator
Vectors 

Define draping direction using vector(s)

Csys 

Define draping direction using a coordinate system

Draping Path Types

Enumerator
Geodesic 

geodesic

SeedCurve 

seed curve

Projection Draping Direction Option

Enumerator
Mov 

Define draping direction using MOVs

Csys 

Define draping direction using a coordinate system

Second Alignment Types

Enumerator
Default 

default

Specify 

specify

Solver Types

Enumerator
None 

no draping solver (Projection)

Unidirectional 

unidirectional solver

Woven 

woven solver

Imported 

imported draping results

InheritedFromMaterial 

inherited from material draping results

Member Function Documentation

unsafe NXOpen.CAE.LaminatePly [] NXOpen.CAE.LaminateDrapingDataBuilder.CommitPlies ( )
inline

Commits the changes made to the NXOpen.CAE.LaminatePly objects.

Created in NX1872.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Returns
A Set of modified plies

Property Documentation

unsafe NXOpen.CAE.LaminateSelectEntitiesBuilder NXOpen.CAE.LaminateDrapingDataBuilder.CutSelection
get

Returns the selected cut curves.

Can be geometric edges or element edges.

Created in NX7.5.2

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe NXOpen.CoordinateSystem NXOpen.CAE.LaminateDrapingDataBuilder.DirectionCsys
getset

Returns or sets the draping direction coordinate system

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe NXOpen.CAE.LaminateDrapingDataBuilder.DrapingDirectionType NXOpen.CAE.LaminateDrapingDataBuilder.DirectionOption
getset

Returns or sets the draping direction option

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe NXOpen.Expression NXOpen.CAE.LaminateDrapingDataBuilder.DrapingAbsMeshSize
get

Returns the absolute draping mesh size

Created in NX8.5.1

License requirements: None.

unsafe double NXOpen.CAE.LaminateDrapingDataBuilder.DrapingMeshRatio
getset

Returns or sets the draping mesh ratio

Created in NX7.5.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe NXOpen.CAE.LaminateDrapingDataBuilder.DrapingPathType NXOpen.CAE.LaminateDrapingDataBuilder.DrapingPath
getset

Returns or sets the draping path

Created in NX7.5.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe NXOpen.CAE.LaminateSelectEntitiesBuilder NXOpen.CAE.LaminateDrapingDataBuilder.FaceSelection
get

Returns the selected faces.

Can be geometric faces or element faces.

Created in NX7.5.2

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe NXOpen.Expression NXOpen.CAE.LaminateDrapingDataBuilder.LockingAngle
get

Returns the locking angle

Created in NX8.5.1

License requirements: None.

unsafe NXOpen.Direction NXOpen.CAE.LaminateDrapingDataBuilder.PrimaryVector
getset

Returns or sets the primary alignment

Created in NX6.0.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe NXOpen.CAE.LaminateDrapingDataBuilder.ProjectionDrapingDirectionType NXOpen.CAE.LaminateDrapingDataBuilder.ProjectionDirectionOption
getset

Returns or sets the projection draping direction option

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe NXOpen.Direction NXOpen.CAE.LaminateDrapingDataBuilder.SecondaryVector
getset

Returns or sets the specify

Created in NX7.5.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe NXOpen.CAE.LaminateDrapingDataBuilder.SecondaryVectorType NXOpen.CAE.LaminateDrapingDataBuilder.SecondaryVectorChoice
getset

Returns or sets the secondary alignment

Created in NX7.5.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe NXOpen.CAE.LaminateSelectEntitiesBuilder NXOpen.CAE.LaminateDrapingDataBuilder.SeedSelection
get

Returns the selected seed curves.

Can be geometric edges or element edges.

Created in NX7.5.2

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe NXOpen.CAE.LaminateDrapingDataBuilder.SolverType NXOpen.CAE.LaminateDrapingDataBuilder.Solver
getset

Returns or sets the solver

Created in NX6.0.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe NXOpen.Point NXOpen.CAE.LaminateDrapingDataBuilder.StartPoint
getset

Returns or sets the start point

Created in NX6.0.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe bool NXOpen.CAE.LaminateDrapingDataBuilder.UsingDrapingMeshSize
getset

Returns or sets the method used

Created in NX7.5.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.